## golang-github-globocom-go-buffer 2.0.0

=== Makefile ===
test:
	go run github.com/onsi/ginkgo/ginkgo -keepGoing -progress -timeout 1m -race --randomizeAllSpecs --randomizeSuites

bench:
	go test -bench=. -run=Benchmark

=== debian/changelog ===
golang-github-globocom-go-buffer (2.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 13 Apr 2025 10:37:42 +0200

golang-github-globocom-go-buffer (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1102649)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 11 Apr 2025 14:45:43 +0200

=== debian/control ===
Source: golang-github-globocom-go-buffer
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-onsi-ginkgo-dev,
 golang-gomega-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-globocom-go-buffer
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-globocom-go-buffer.git
Homepage: https://github.com/globocom/go-buffer
XS-Go-Import-Path: github.com/globocom/go-buffer

Package: golang-github-globocom-go-buffer-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-onsi-ginkgo-dev,
 golang-gomega-dev,
 ${misc:Depends},
Description: Asynchronous data buffer for Go applications (library)
 go-buffer represents a buffer that asynchronously flushes its contents.
 It is useful for applications that need to aggregate data before writing
 it to an external storage. A buffer is flushed manually, or
 automatically when it becomes full or after an interval has elapsed,
 whichever comes first.
 .
 This package contains the Go development library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/globocom/go-buffer/tags .*/v?(\d\S*)\.tar\.gz debian
